/*
############################################################
Start hook example
This is called after a restart
############################################################
*/
function start_log() {
	mxserver.log("########################################\n");
	mxserver.log("Start!\n");
	mxserver.log("Track: " + mxserver.get_string("track_dir", 0) + " (" + mxserver.get_string("track_name", 0) + ")\n");
	mxserver.log("Minutes: " + (mxserver.get_number("finish_time", 0) / 128 / 60).toFixed(0) + "\n");
	mxserver.log("Laps: " + mxserver.get_number("finish_laps", 0).toFixed(0) + "\n");
	mxserver.log("Erode: " + (mxserver.get_number("erode", 0) / 1024.0).toFixed(3) + "\n");
	start_log_prev();
}
var start_log_prev = mxserver.start_handler;
mxserver.start_handler = start_log;

/*
############################################################
Finish hook example
This is called before a restart
############################################################
*/
function finish_log() {
	mxserver.log("Finish!\n");
	mxserver.log("########################################\n");
	finish_log_prev();
}
var finish_log_prev = mxserver.finish_handler;
mxserver.finish_handler = finish_log;
